## eigen2 2.0.0-3

=== CMakeLists.txt ===
project(Eigen)
cmake_minimum_required(VERSION 2.6.2)

set(EIGEN_VERSION_NUMBER "2.0.5")
set(EIGEN_VERSION "${EIGEN_VERSION_NUMBER}")

set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

option(EIGEN_BUILD_TESTS "Build tests" OFF)
option(EIGEN_BUILD_DEMOS "Build demos" OFF)
if(NOT WIN32)
  option(EIGEN_BUILD_LIB "Build the binary shared library" OFF)
endif(NOT WIN32)
option(EIGEN_BUILD_BTL "Build benchmark suite" OFF)

if(EIGEN_BUILD_LIB)
  option(EIGEN_TEST_LIB "Build the unit tests using the library (disable -pedantic)" OFF)
endif(EIGEN_BUILD_LIB)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

if(CMAKE_COMPILER_IS_GNUCXX)
  if(CMAKE_SYSTEM_NAME MATCHES Linux)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -Wformat-security -Wextra -fno-exceptions -fno-check-new -fno-common -fstrict-aliasing")
    if(NOT EIGEN_TEST_LIB)
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic")
    endif(NOT EIGEN_TEST_LIB)

    option(EIGEN_TEST_SSE2 "Enable/Disable SSE2 in tests/examples" OFF)
    if(EIGEN_TEST_SSE2)
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -msse2")
      message("Enabling SSE2 in tests/examples")
    endif(EIGEN_TEST_SSE2)

    option(EIGEN_TEST_SSE3 "Enable/Disable SSE3 in tests/examples" OFF)
    if(EIGEN_TEST_SSE3)
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -msse3")
      message("Enabling SSE3 in tests/examples")
    endif(EIGEN_TEST_SSE3)

    option(EIGEN_TEST_SSSE3 "Enable/Disable SSSE3 in tests/examples" OFF)
    if(EIGEN_TEST_SSSE3)
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mssse3")
      message("Enabling SSSE3 in tests/examples")
    endif(EIGEN_TEST_SSSE3)

    option(EIGEN_TEST_ALTIVEC "Enable/Disable altivec in tests/examples" OFF)
    if(EIGEN_TEST_ALTIVEC)
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -maltivec -mabi=altivec")
      message("Enabling AltiVec in tests/examples")
    endif(EIGEN_TEST_ALTIVEC)

  endif(CMAKE_SYSTEM_NAME MATCHES Linux)
endif(CMAKE_COMPILER_IS_GNUCXX)

if(MSVC)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ")

  option(EIGEN_TEST_SSE2 "Enable/Disable SSE2 in tests/examples" OFF)
  if(EIGEN_TEST_SSE2)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /arch:SSE2")
    message("Enabling SSE2 in tests/examples")
  endif(EIGEN_TEST_SSE2)
endif(MSVC)

option(EIGEN_TEST_NO_EXPLICIT_VECTORIZATION "Disable explicit vectorization in tests/examples" OFF)
if(EIGEN_TEST_NO_EXPLICIT_VECTORIZATION)
  add_definitions(-DEIGEN_DONT_VECTORIZE=1)
  message("Disabling vectorization in tests/examples")
endif(EIGEN_TEST_NO_EXPLICIT_VECTORIZATION)

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(Eigen)
add_subdirectory(unsupported)

add_subdirectory(doc)

if(EIGEN_BUILD_DEMOS)
  add_subdirectory(demos)
endif(EIGEN_BUILD_DEMOS)

if(EIGEN_BUILD_BTL)
  add_subdirectory(bench/btl)
endif(EIGEN_BUILD_BTL)

=== Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/maemo6-armv7/usr/bin/cmake

# The command to remove a file.
RM = /targets/maemo6-armv7/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/lassinie/projects/foffice/eigen2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/lassinie/projects/foffice/eigen2

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/maemo6-armv7/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/maemo6-armv7/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/maemo6-armv7/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/maemo6-armv7/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/maemo6-armv7/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Devel\" \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/maemo6-armv7/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/lassinie/projects/foffice/eigen2/CMakeFiles /home/lassinie/projects/foffice/eigen2/CMakeFiles/progress.make
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/lassinie/projects/foffice/eigen2/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named doc

# Build rule for target.
doc: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 doc
.PHONY : doc

# fast build rule for target.
doc/fast:
	$(MAKE) -f doc/CMakeFiles/doc.dir/build.make doc/CMakeFiles/doc.dir/build
.PHONY : doc/fast

#=============================================================================
# Target rules for targets named Tutorial_simple_example_dynamic_size

# Build rule for target.
Tutorial_simple_example_dynamic_size: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 Tutorial_simple_example_dynamic_size
.PHONY : Tutorial_simple_example_dynamic_size

# fast build rule for target.
Tutorial_simple_example_dynamic_size/fast:
	$(MAKE) -f doc/examples/CMakeFiles/Tutorial_simple_example_dynamic_size.dir/build.make doc/examples/CMakeFiles/Tutorial_simple_example_dynamic_size.dir/build
.PHONY : Tutorial_simple_example_dynamic_size/fast

#=============================================================================
# Target rules for targets named Tutorial_simple_example_fixed_size

# Build rule for target.
Tutorial_simple_example_fixed_size: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 Tutorial_simple_example_fixed_size
.PHONY : Tutorial_simple_example_fixed_size

# fast build rule for target.
Tutorial_simple_example_fixed_size/fast:
	$(MAKE) -f doc/examples/CMakeFiles/Tutorial_simple_example_fixed_size.dir/build.make doc/examples/CMakeFiles/Tutorial_simple_example_fixed_size.dir/build
.PHONY : Tutorial_simple_example_fixed_size/fast

#=============================================================================
# Target rules for targets named all_examples

# Build rule for target.
all_examples: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 all_examples
.PHONY : all_examples

# fast build rule for target.
all_examples/fast:
	$(MAKE) -f doc/examples/CMakeFiles/all_examples.dir/build.make doc/examples/CMakeFiles/all_examples.dir/build
.PHONY : all_examples/fast

#=============================================================================
# Target rules for targets named class_Block

# Build rule for target.
class_Block: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 class_Block
.PHONY : class_Block

# fast build rule for target.
class_Block/fast:
	$(MAKE) -f doc/examples/CMakeFiles/class_Block.dir/build.make doc/examples/CMakeFiles/class_Block.dir/build
.PHONY : class_Block/fast

#=============================================================================
# Target rules for targets named class_CwiseBinaryOp

# Build rule for target.
class_CwiseBinaryOp: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 class_CwiseBinaryOp
.PHONY : class_CwiseBinaryOp

# fast build rule for target.
class_CwiseBinaryOp/fast:
	$(MAKE) -f doc/examples/CMakeFiles/class_CwiseBinaryOp.dir/build.make doc/examples/CMakeFiles/class_CwiseBinaryOp.dir/build
.PHONY : class_CwiseBinaryOp/fast

#=============================================================================
# Target rules for targets named class_CwiseUnaryOp

# Build rule for target.
class_CwiseUnaryOp: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 class_CwiseUnaryOp
.PHONY : class_CwiseUnaryOp

# fast build rule for target.
class_CwiseUnaryOp/fast:
	$(MAKE) -f doc/examples/CMakeFiles/class_CwiseUnaryOp.dir/build.make doc/examples/CMakeFiles/class_CwiseUnaryOp.dir/build
.PHONY : class_CwiseUnaryOp/fast

#=============================================================================
# Target rules for targets named class_FixedBlock

# Build rule for target.
class_FixedBlock: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 class_FixedBlock
.PHONY : class_FixedBlock

# fast build rule for target.
class_FixedBlock/fast:
	$(MAKE) -f doc/examples/CMakeFiles/class_FixedBlock.dir/build.make doc/examples/CMakeFiles/class_FixedBlock.dir/build
.PHONY : class_FixedBlock/fast

#=============================================================================
# Target rules for targets named all_snippets

# Build rule for target.
all_snippets: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 all_snippets
.PHONY : all_snippets

# fast build rule for target.
all_snippets/fast:
	$(MAKE) -f doc/snippets/CMakeFiles/all_snippets.dir/build.make doc/snippets/CMakeFiles/all_snippets.dir/build
.PHONY : all_snippets/fast

#=============================================================================
# Target rules for targets named compile_AngleAxis_mimic_euler

# Build rule for target.
compile_AngleAxis_mimic_euler: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 compile_AngleAxis_mimic_euler
.PHONY : compile_AngleAxis_mimic_euler

# fast build rule for target.
compile_AngleAxis_mimic_euler/fast:
	$(MAKE) -f doc/snippets/CMakeFiles/compile_AngleAxis_mimic_euler.dir/build.make doc/snippets/CMakeFiles/compile_AngleAxis_mimic_euler.dir/build
.PHONY : compile_AngleAxis_mimic_euler/fast

#=============================================================================
# Target rules for targets named compile_Cwise_abs

# Build rule for target.
compile_Cwise_abs: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 compile_Cwise_abs
.PHONY : compile_Cwise_abs

# fast build rule for target.
compile_Cwise_abs/fast:
	$(MAKE) -f doc/snippets/CMakeFiles/compile_Cwise_abs.dir/build.make doc/snippets/CMakeFiles/compile_Cwise_abs.dir/build
.PHONY : compile_Cwise_abs/fast

#=============================================================================
# Target rules for targets named compile_Cwise_abs2

# Build rule for target.
compile_Cwise_abs2: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 compile_Cwise_abs2
.PHONY : compile_Cwise_abs2

# fast build rule for target.
compile_Cwise_abs2/fast:
	$(MAKE) -f doc/snippets/CMakeFiles/compile_Cwise_abs2.dir/build.make doc/snippets/CMakeFiles/compile_Cwise_abs2.dir/build
.PHONY : compile_Cwise_abs2/fast

#=============================================================================
# Target rules for targets named compile_Cwise_cos

# Build rule for target.
compile_Cwise_cos: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 compile_Cwise_cos
.PHONY : compile_Cwise_cos

# fast build rule for target.
compile_Cwise_cos/fast:
	$(MAKE) -f doc/snippets/CMakeFiles/compile_Cwise_cos.dir/build.make doc/snippets/CMakeFiles/compile_Cwise_cos.dir/build
.PHONY : compile_Cwise_cos/fast

#=============================================================================
# Target rules for targets named compile_Cwise_cube

# Build rule for target.
compile_Cwise_cube: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 compile_Cwise_cube
.PHONY : compile_Cwise_cube

# fast build rule for target.
compile_Cwise_cube/fast:
	$(MAKE) -f doc/snippets/CMakeFiles/compile_Cwise_cube.dir/build.make doc/snippets/CMakeFiles/compile_Cwise_cube.dir/build
.PHONY : compile_Cwise_cube/fast

#=============================================================================
# Target rules for targets named compile_Cwise_equal_equal

# Build rule for target.
compile_Cwise_equal_equal: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 compile_Cwise_equal_equal
.PHONY : compile_Cwise_equal_equal

# fast build rule for target.
compile_Cwise_equal_equal/fast:

=== Eigen/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/maemo6-armv7/usr/bin/cmake

# The command to remove a file.
RM = /targets/maemo6-armv7/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/lassinie/projects/foffice/eigen2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/lassinie/projects/foffice/eigen2

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/maemo6-armv7/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/maemo6-armv7/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/maemo6-armv7/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/maemo6-armv7/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/maemo6-armv7/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Devel\" \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/maemo6-armv7/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/lassinie/projects/foffice/eigen2 && $(CMAKE_COMMAND) -E cmake_progress_start /home/lassinie/projects/foffice/eigen2/CMakeFiles /home/lassinie/projects/foffice/eigen2/Eigen/CMakeFiles/progress.make
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 Eigen/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/lassinie/projects/foffice/eigen2/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 Eigen/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 Eigen/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 Eigen/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/lassinie/projects/foffice/eigen2 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/lassinie/projects/foffice/eigen2 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== doc/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/maemo6-armv7/usr/bin/cmake

# The command to remove a file.
RM = /targets/maemo6-armv7/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/lassinie/projects/foffice/eigen2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/lassinie/projects/foffice/eigen2

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/maemo6-armv7/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/maemo6-armv7/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/maemo6-armv7/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/maemo6-armv7/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/maemo6-armv7/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Devel\" \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/maemo6-armv7/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/lassinie/projects/foffice/eigen2 && $(CMAKE_COMMAND) -E cmake_progress_start /home/lassinie/projects/foffice/eigen2/CMakeFiles /home/lassinie/projects/foffice/eigen2/doc/CMakeFiles/progress.make
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 doc/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/lassinie/projects/foffice/eigen2/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 doc/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 doc/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 doc/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/lassinie/projects/foffice/eigen2 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
doc/CMakeFiles/doc.dir/rule:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 doc/CMakeFiles/doc.dir/rule
.PHONY : doc/CMakeFiles/doc.dir/rule

# Convenience name for target.
doc: doc/CMakeFiles/doc.dir/rule
.PHONY : doc

# fast build rule for target.
doc/fast:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f doc/CMakeFiles/doc.dir/build.make doc/CMakeFiles/doc.dir/build
.PHONY : doc/fast

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... doc"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/lassinie/projects/foffice/eigen2 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== unsupported/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/maemo6-armv7/usr/bin/cmake

# The command to remove a file.
RM = /targets/maemo6-armv7/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/lassinie/projects/foffice/eigen2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/lassinie/projects/foffice/eigen2

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/maemo6-armv7/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/maemo6-armv7/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/maemo6-armv7/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/maemo6-armv7/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/maemo6-armv7/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Devel\" \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/maemo6-armv7/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/lassinie/projects/foffice/eigen2 && $(CMAKE_COMMAND) -E cmake_progress_start /home/lassinie/projects/foffice/eigen2/CMakeFiles /home/lassinie/projects/foffice/eigen2/unsupported/CMakeFiles/progress.make
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 unsupported/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/lassinie/projects/foffice/eigen2/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 unsupported/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 unsupported/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 unsupported/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/lassinie/projects/foffice/eigen2 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/lassinie/projects/foffice/eigen2 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== Eigen/src/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/maemo6-armv7/usr/bin/cmake

# The command to remove a file.
RM = /targets/maemo6-armv7/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/lassinie/projects/foffice/eigen2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/lassinie/projects/foffice/eigen2

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/maemo6-armv7/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/maemo6-armv7/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/maemo6-armv7/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/maemo6-armv7/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/maemo6-armv7/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Devel\" \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/maemo6-armv7/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/lassinie/projects/foffice/eigen2 && $(CMAKE_COMMAND) -E cmake_progress_start /home/lassinie/projects/foffice/eigen2/CMakeFiles /home/lassinie/projects/foffice/eigen2/Eigen/src/CMakeFiles/progress.make
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 Eigen/src/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/lassinie/projects/foffice/eigen2/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 Eigen/src/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 Eigen/src/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 Eigen/src/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/lassinie/projects/foffice/eigen2 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/lassinie/projects/foffice/eigen2 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== doc/examples/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/maemo6-armv7/usr/bin/cmake

# The command to remove a file.
RM = /targets/maemo6-armv7/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/lassinie/projects/foffice/eigen2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/lassinie/projects/foffice/eigen2

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/maemo6-armv7/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/maemo6-armv7/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/maemo6-armv7/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/maemo6-armv7/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/maemo6-armv7/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Devel\" \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/maemo6-armv7/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/lassinie/projects/foffice/eigen2 && $(CMAKE_COMMAND) -E cmake_progress_start /home/lassinie/projects/foffice/eigen2/CMakeFiles /home/lassinie/projects/foffice/eigen2/doc/examples/CMakeFiles/progress.make
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 doc/examples/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/lassinie/projects/foffice/eigen2/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 doc/examples/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 doc/examples/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 doc/examples/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/lassinie/projects/foffice/eigen2 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
doc/examples/CMakeFiles/Tutorial_simple_example_dynamic_size.dir/rule:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 doc/examples/CMakeFiles/Tutorial_simple_example_dynamic_size.dir/rule
.PHONY : doc/examples/CMakeFiles/Tutorial_simple_example_dynamic_size.dir/rule

# Convenience name for target.
Tutorial_simple_example_dynamic_size: doc/examples/CMakeFiles/Tutorial_simple_example_dynamic_size.dir/rule
.PHONY : Tutorial_simple_example_dynamic_size

# fast build rule for target.
Tutorial_simple_example_dynamic_size/fast:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f doc/examples/CMakeFiles/Tutorial_simple_example_dynamic_size.dir/build.make doc/examples/CMakeFiles/Tutorial_simple_example_dynamic_size.dir/build
.PHONY : Tutorial_simple_example_dynamic_size/fast

# Convenience name for target.
doc/examples/CMakeFiles/Tutorial_simple_example_fixed_size.dir/rule:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 doc/examples/CMakeFiles/Tutorial_simple_example_fixed_size.dir/rule
.PHONY : doc/examples/CMakeFiles/Tutorial_simple_example_fixed_size.dir/rule

# Convenience name for target.
Tutorial_simple_example_fixed_size: doc/examples/CMakeFiles/Tutorial_simple_example_fixed_size.dir/rule
.PHONY : Tutorial_simple_example_fixed_size

# fast build rule for target.
Tutorial_simple_example_fixed_size/fast:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f doc/examples/CMakeFiles/Tutorial_simple_example_fixed_size.dir/build.make doc/examples/CMakeFiles/Tutorial_simple_example_fixed_size.dir/build
.PHONY : Tutorial_simple_example_fixed_size/fast

# Convenience name for target.
doc/examples/CMakeFiles/all_examples.dir/rule:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 doc/examples/CMakeFiles/all_examples.dir/rule
.PHONY : doc/examples/CMakeFiles/all_examples.dir/rule

# Convenience name for target.
all_examples: doc/examples/CMakeFiles/all_examples.dir/rule
.PHONY : all_examples

# fast build rule for target.
all_examples/fast:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f doc/examples/CMakeFiles/all_examples.dir/build.make doc/examples/CMakeFiles/all_examples.dir/build
.PHONY : all_examples/fast

# Convenience name for target.
doc/examples/CMakeFiles/class_Block.dir/rule:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 doc/examples/CMakeFiles/class_Block.dir/rule
.PHONY : doc/examples/CMakeFiles/class_Block.dir/rule

# Convenience name for target.
class_Block: doc/examples/CMakeFiles/class_Block.dir/rule
.PHONY : class_Block

# fast build rule for target.
class_Block/fast:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f doc/examples/CMakeFiles/class_Block.dir/build.make doc/examples/CMakeFiles/class_Block.dir/build
.PHONY : class_Block/fast

# Convenience name for target.
doc/examples/CMakeFiles/class_CwiseBinaryOp.dir/rule:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 doc/examples/CMakeFiles/class_CwiseBinaryOp.dir/rule
.PHONY : doc/examples/CMakeFiles/class_CwiseBinaryOp.dir/rule

# Convenience name for target.
class_CwiseBinaryOp: doc/examples/CMakeFiles/class_CwiseBinaryOp.dir/rule
.PHONY : class_CwiseBinaryOp

# fast build rule for target.
class_CwiseBinaryOp/fast:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f doc/examples/CMakeFiles/class_CwiseBinaryOp.dir/build.make doc/examples/CMakeFiles/class_CwiseBinaryOp.dir/build
.PHONY : class_CwiseBinaryOp/fast

# Convenience name for target.
doc/examples/CMakeFiles/class_CwiseUnaryOp.dir/rule:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 doc/examples/CMakeFiles/class_CwiseUnaryOp.dir/rule
.PHONY : doc/examples/CMakeFiles/class_CwiseUnaryOp.dir/rule

# Convenience name for target.
class_CwiseUnaryOp: doc/examples/CMakeFiles/class_CwiseUnaryOp.dir/rule
.PHONY : class_CwiseUnaryOp

# fast build rule for target.
class_CwiseUnaryOp/fast:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f doc/examples/CMakeFiles/class_CwiseUnaryOp.dir/build.make doc/examples/CMakeFiles/class_CwiseUnaryOp.dir/build
.PHONY : class_CwiseUnaryOp/fast

# Convenience name for target.
doc/examples/CMakeFiles/class_FixedBlock.dir/rule:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 doc/examples/CMakeFiles/class_FixedBlock.dir/rule
.PHONY : doc/examples/CMakeFiles/class_FixedBlock.dir/rule

# Convenience name for target.
class_FixedBlock: doc/examples/CMakeFiles/class_FixedBlock.dir/rule
.PHONY : class_FixedBlock

# fast build rule for target.
class_FixedBlock/fast:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f doc/examples/CMakeFiles/class_FixedBlock.dir/build.make doc/examples/CMakeFiles/class_FixedBlock.dir/build
.PHONY : class_FixedBlock/fast

Tutorial_simple_example_dynamic_size.o: Tutorial_simple_example_dynamic_size.cpp.o
.PHONY : Tutorial_simple_example_dynamic_size.o

# target to build an object file
Tutorial_simple_example_dynamic_size.cpp.o:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f doc/examples/CMakeFiles/Tutorial_simple_example_dynamic_size.dir/build.make doc/examples/CMakeFiles/Tutorial_simple_example_dynamic_size.dir/Tutorial_simple_example_dynamic_size.cpp.o
.PHONY : Tutorial_simple_example_dynamic_size.cpp.o

Tutorial_simple_example_dynamic_size.i: Tutorial_simple_example_dynamic_size.cpp.i
.PHONY : Tutorial_simple_example_dynamic_size.i

# target to preprocess a source file
Tutorial_simple_example_dynamic_size.cpp.i:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f doc/examples/CMakeFiles/Tutorial_simple_example_dynamic_size.dir/build.make doc/examples/CMakeFiles/Tutorial_simple_example_dynamic_size.dir/Tutorial_simple_example_dynamic_size.cpp.i
.PHONY : Tutorial_simple_example_dynamic_size.cpp.i

Tutorial_simple_example_dynamic_size.s: Tutorial_simple_example_dynamic_size.cpp.s
.PHONY : Tutorial_simple_example_dynamic_size.s

# target to generate assembly for a file
Tutorial_simple_example_dynamic_size.cpp.s:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f doc/examples/CMakeFiles/Tutorial_simple_example_dynamic_size.dir/build.make doc/examples/CMakeFiles/Tutorial_simple_example_dynamic_size.dir/Tutorial_simple_example_dynamic_size.cpp.s
.PHONY : Tutorial_simple_example_dynamic_size.cpp.s

Tutorial_simple_example_fixed_size.o: Tutorial_simple_example_fixed_size.cpp.o
.PHONY : Tutorial_simple_example_fixed_size.o

# target to build an object file
Tutorial_simple_example_fixed_size.cpp.o:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f doc/examples/CMakeFiles/Tutorial_simple_example_fixed_size.dir/build.make doc/examples/CMakeFiles/Tutorial_simple_example_fixed_size.dir/Tutorial_simple_example_fixed_size.cpp.o
.PHONY : Tutorial_simple_example_fixed_size.cpp.o

Tutorial_simple_example_fixed_size.i: Tutorial_simple_example_fixed_size.cpp.i
.PHONY : Tutorial_simple_example_fixed_size.i

# target to preprocess a source file
Tutorial_simple_example_fixed_size.cpp.i:

=== doc/snippets/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/maemo6-armv7/usr/bin/cmake

# The command to remove a file.
RM = /targets/maemo6-armv7/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/lassinie/projects/foffice/eigen2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/lassinie/projects/foffice/eigen2

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/maemo6-armv7/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/maemo6-armv7/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/maemo6-armv7/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/maemo6-armv7/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/maemo6-armv7/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Devel\" \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/maemo6-armv7/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/lassinie/projects/foffice/eigen2 && $(CMAKE_COMMAND) -E cmake_progress_start /home/lassinie/projects/foffice/eigen2/CMakeFiles /home/lassinie/projects/foffice/eigen2/doc/snippets/CMakeFiles/progress.make
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 doc/snippets/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/lassinie/projects/foffice/eigen2/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 doc/snippets/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 doc/snippets/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 doc/snippets/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/lassinie/projects/foffice/eigen2 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
doc/snippets/CMakeFiles/all_snippets.dir/rule:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 doc/snippets/CMakeFiles/all_snippets.dir/rule
.PHONY : doc/snippets/CMakeFiles/all_snippets.dir/rule

# Convenience name for target.
all_snippets: doc/snippets/CMakeFiles/all_snippets.dir/rule
.PHONY : all_snippets

# fast build rule for target.
all_snippets/fast:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f doc/snippets/CMakeFiles/all_snippets.dir/build.make doc/snippets/CMakeFiles/all_snippets.dir/build
.PHONY : all_snippets/fast

# Convenience name for target.
doc/snippets/CMakeFiles/compile_AngleAxis_mimic_euler.dir/rule:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 doc/snippets/CMakeFiles/compile_AngleAxis_mimic_euler.dir/rule
.PHONY : doc/snippets/CMakeFiles/compile_AngleAxis_mimic_euler.dir/rule

# Convenience name for target.
compile_AngleAxis_mimic_euler: doc/snippets/CMakeFiles/compile_AngleAxis_mimic_euler.dir/rule
.PHONY : compile_AngleAxis_mimic_euler

# fast build rule for target.
compile_AngleAxis_mimic_euler/fast:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f doc/snippets/CMakeFiles/compile_AngleAxis_mimic_euler.dir/build.make doc/snippets/CMakeFiles/compile_AngleAxis_mimic_euler.dir/build
.PHONY : compile_AngleAxis_mimic_euler/fast

# Convenience name for target.
doc/snippets/CMakeFiles/compile_Cwise_abs.dir/rule:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 doc/snippets/CMakeFiles/compile_Cwise_abs.dir/rule
.PHONY : doc/snippets/CMakeFiles/compile_Cwise_abs.dir/rule

# Convenience name for target.
compile_Cwise_abs: doc/snippets/CMakeFiles/compile_Cwise_abs.dir/rule
.PHONY : compile_Cwise_abs

# fast build rule for target.
compile_Cwise_abs/fast:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f doc/snippets/CMakeFiles/compile_Cwise_abs.dir/build.make doc/snippets/CMakeFiles/compile_Cwise_abs.dir/build
.PHONY : compile_Cwise_abs/fast

# Convenience name for target.
doc/snippets/CMakeFiles/compile_Cwise_abs2.dir/rule:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 doc/snippets/CMakeFiles/compile_Cwise_abs2.dir/rule
.PHONY : doc/snippets/CMakeFiles/compile_Cwise_abs2.dir/rule

# Convenience name for target.
compile_Cwise_abs2: doc/snippets/CMakeFiles/compile_Cwise_abs2.dir/rule
.PHONY : compile_Cwise_abs2

# fast build rule for target.
compile_Cwise_abs2/fast:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f doc/snippets/CMakeFiles/compile_Cwise_abs2.dir/build.make doc/snippets/CMakeFiles/compile_Cwise_abs2.dir/build
.PHONY : compile_Cwise_abs2/fast

# Convenience name for target.
doc/snippets/CMakeFiles/compile_Cwise_cos.dir/rule:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 doc/snippets/CMakeFiles/compile_Cwise_cos.dir/rule
.PHONY : doc/snippets/CMakeFiles/compile_Cwise_cos.dir/rule

# Convenience name for target.
compile_Cwise_cos: doc/snippets/CMakeFiles/compile_Cwise_cos.dir/rule
.PHONY : compile_Cwise_cos

# fast build rule for target.
compile_Cwise_cos/fast:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f doc/snippets/CMakeFiles/compile_Cwise_cos.dir/build.make doc/snippets/CMakeFiles/compile_Cwise_cos.dir/build
.PHONY : compile_Cwise_cos/fast

# Convenience name for target.
doc/snippets/CMakeFiles/compile_Cwise_cube.dir/rule:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 doc/snippets/CMakeFiles/compile_Cwise_cube.dir/rule
.PHONY : doc/snippets/CMakeFiles/compile_Cwise_cube.dir/rule

# Convenience name for target.
compile_Cwise_cube: doc/snippets/CMakeFiles/compile_Cwise_cube.dir/rule
.PHONY : compile_Cwise_cube

# fast build rule for target.
compile_Cwise_cube/fast:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f doc/snippets/CMakeFiles/compile_Cwise_cube.dir/build.make doc/snippets/CMakeFiles/compile_Cwise_cube.dir/build
.PHONY : compile_Cwise_cube/fast

# Convenience name for target.
doc/snippets/CMakeFiles/compile_Cwise_equal_equal.dir/rule:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 doc/snippets/CMakeFiles/compile_Cwise_equal_equal.dir/rule
.PHONY : doc/snippets/CMakeFiles/compile_Cwise_equal_equal.dir/rule

# Convenience name for target.
compile_Cwise_equal_equal: doc/snippets/CMakeFiles/compile_Cwise_equal_equal.dir/rule
.PHONY : compile_Cwise_equal_equal

# fast build rule for target.
compile_Cwise_equal_equal/fast:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f doc/snippets/CMakeFiles/compile_Cwise_equal_equal.dir/build.make doc/snippets/CMakeFiles/compile_Cwise_equal_equal.dir/build
.PHONY : compile_Cwise_equal_equal/fast

# Convenience name for target.
doc/snippets/CMakeFiles/compile_Cwise_exp.dir/rule:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 doc/snippets/CMakeFiles/compile_Cwise_exp.dir/rule
.PHONY : doc/snippets/CMakeFiles/compile_Cwise_exp.dir/rule

# Convenience name for target.
compile_Cwise_exp: doc/snippets/CMakeFiles/compile_Cwise_exp.dir/rule
.PHONY : compile_Cwise_exp

# fast build rule for target.
compile_Cwise_exp/fast:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f doc/snippets/CMakeFiles/compile_Cwise_exp.dir/build.make doc/snippets/CMakeFiles/compile_Cwise_exp.dir/build
.PHONY : compile_Cwise_exp/fast

# Convenience name for target.
doc/snippets/CMakeFiles/compile_Cwise_greater.dir/rule:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 doc/snippets/CMakeFiles/compile_Cwise_greater.dir/rule
.PHONY : doc/snippets/CMakeFiles/compile_Cwise_greater.dir/rule

# Convenience name for target.
compile_Cwise_greater: doc/snippets/CMakeFiles/compile_Cwise_greater.dir/rule
.PHONY : compile_Cwise_greater

# fast build rule for target.
compile_Cwise_greater/fast:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f doc/snippets/CMakeFiles/compile_Cwise_greater.dir/build.make doc/snippets/CMakeFiles/compile_Cwise_greater.dir/build
.PHONY : compile_Cwise_greater/fast

# Convenience name for target.
doc/snippets/CMakeFiles/compile_Cwise_greater_equal.dir/rule:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 doc/snippets/CMakeFiles/compile_Cwise_greater_equal.dir/rule
.PHONY : doc/snippets/CMakeFiles/compile_Cwise_greater_equal.dir/rule

# Convenience name for target.
compile_Cwise_greater_equal: doc/snippets/CMakeFiles/compile_Cwise_greater_equal.dir/rule
.PHONY : compile_Cwise_greater_equal

# fast build rule for target.
compile_Cwise_greater_equal/fast:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f doc/snippets/CMakeFiles/compile_Cwise_greater_equal.dir/build.make doc/snippets/CMakeFiles/compile_Cwise_greater_equal.dir/build
.PHONY : compile_Cwise_greater_equal/fast

# Convenience name for target.
doc/snippets/CMakeFiles/compile_Cwise_inverse.dir/rule:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 doc/snippets/CMakeFiles/compile_Cwise_inverse.dir/rule

=== unsupported/Eigen/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/maemo6-armv7/usr/bin/cmake

# The command to remove a file.
RM = /targets/maemo6-armv7/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/lassinie/projects/foffice/eigen2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/lassinie/projects/foffice/eigen2

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/maemo6-armv7/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/maemo6-armv7/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/maemo6-armv7/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/maemo6-armv7/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/maemo6-armv7/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Devel\" \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/maemo6-armv7/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/lassinie/projects/foffice/eigen2 && $(CMAKE_COMMAND) -E cmake_progress_start /home/lassinie/projects/foffice/eigen2/CMakeFiles /home/lassinie/projects/foffice/eigen2/unsupported/Eigen/CMakeFiles/progress.make
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 unsupported/Eigen/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/lassinie/projects/foffice/eigen2/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 unsupported/Eigen/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 unsupported/Eigen/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 unsupported/Eigen/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/lassinie/projects/foffice/eigen2 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/lassinie/projects/foffice/eigen2 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== Eigen/src/Array/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/maemo6-armv7/usr/bin/cmake

# The command to remove a file.
RM = /targets/maemo6-armv7/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/lassinie/projects/foffice/eigen2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/lassinie/projects/foffice/eigen2

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/maemo6-armv7/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/maemo6-armv7/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/maemo6-armv7/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/maemo6-armv7/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/maemo6-armv7/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Devel\" \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/maemo6-armv7/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/lassinie/projects/foffice/eigen2 && $(CMAKE_COMMAND) -E cmake_progress_start /home/lassinie/projects/foffice/eigen2/CMakeFiles /home/lassinie/projects/foffice/eigen2/Eigen/src/Array/CMakeFiles/progress.make
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 Eigen/src/Array/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/lassinie/projects/foffice/eigen2/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 Eigen/src/Array/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 Eigen/src/Array/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 Eigen/src/Array/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/lassinie/projects/foffice/eigen2 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/lassinie/projects/foffice/eigen2 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== Eigen/src/Cholesky/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/maemo6-armv7/usr/bin/cmake

# The command to remove a file.
RM = /targets/maemo6-armv7/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/lassinie/projects/foffice/eigen2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/lassinie/projects/foffice/eigen2

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/maemo6-armv7/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/maemo6-armv7/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/maemo6-armv7/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/maemo6-armv7/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/maemo6-armv7/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Devel\" \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/maemo6-armv7/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/lassinie/projects/foffice/eigen2 && $(CMAKE_COMMAND) -E cmake_progress_start /home/lassinie/projects/foffice/eigen2/CMakeFiles /home/lassinie/projects/foffice/eigen2/Eigen/src/Cholesky/CMakeFiles/progress.make
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 Eigen/src/Cholesky/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/lassinie/projects/foffice/eigen2/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 Eigen/src/Cholesky/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 Eigen/src/Cholesky/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 Eigen/src/Cholesky/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/lassinie/projects/foffice/eigen2 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/lassinie/projects/foffice/eigen2 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== Eigen/src/Core/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/maemo6-armv7/usr/bin/cmake

# The command to remove a file.
RM = /targets/maemo6-armv7/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/lassinie/projects/foffice/eigen2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/lassinie/projects/foffice/eigen2

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/maemo6-armv7/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/maemo6-armv7/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/maemo6-armv7/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/maemo6-armv7/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/maemo6-armv7/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Devel\" \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/maemo6-armv7/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/lassinie/projects/foffice/eigen2 && $(CMAKE_COMMAND) -E cmake_progress_start /home/lassinie/projects/foffice/eigen2/CMakeFiles /home/lassinie/projects/foffice/eigen2/Eigen/src/Core/CMakeFiles/progress.make
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 Eigen/src/Core/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/lassinie/projects/foffice/eigen2/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 Eigen/src/Core/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 Eigen/src/Core/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/lassinie/projects/foffice/eigen2 && $(MAKE) -f CMakeFiles/Makefile2 Eigen/src/Core/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/lassinie/projects/foffice/eigen2 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/lassinie/projects/foffice/eigen2 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== debian/changelog ===
eigen2 (2.0.0-3) unstable; urgency=low

  * Upload to unstable (for real).

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 18 Feb 2009 20:55:55 +0100

eigen2 (2.0.0-2) experimental; urgency=low

  * Upload to unstable. 

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 18 Feb 2009 18:22:20 +0100

eigen2 (2.0.0-1) experimental; urgency=low

  * New upstream release.
  * Build and execute the test cases, but do not abort the build if a test 
    fails.
  * Replace "Eigen" with "Eigen 2" in the long description.
  * Change from Arch:all to Arch:any to run the testsuite.
  * Add myself to Uploaders.

 -- Armin Berres <trigger+debian@space-based.de>  Tue, 03 Feb 2009 13:59:54 +0100

eigen2 (2.0~beta6-1) experimental; urgency=low

  * New upstream release.
  * Eigen2 now requires cmake 2.6.2 or higher that is currently in
    experimental, added versioned build-depend.
  * Add myself to Uploaders.
  * Remove unusued lintian overrides.
  * Update copyright: years and replace (C) with ©.
  * Bump to Standards-Version: 3.8.0, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 12 Jan 2009 23:03:09 +0100

eigen2 (2.0~beta2-1) unstable; urgency=low

  * New upstream release (Closes: 509128)

 -- Sune Vuorela <debian@pusling.com>  Sun, 21 Dec 2008 17:08:04 +0100

eigen2 (2.0~beta1-1) unstable; urgency=low

  * New upstream releas (beta1).
  * Use cdbs cmake file instead of pkg-kde cdbs dir; drop quilt
    build-dependency

 -- Sune Vuorela <debian@pusling.com>  Thu, 18 Sep 2008 22:36:04 +0200

eigen2 (2~~svn850507-1) unstable; urgency=low

  * First upload of eigen2.
    - for now needs to be coinstallable with eigen. Will later replace it.

 -- Sune Vuorela <debian@pusling.com>  Thu, 21 Aug 2008 21:45:32 +0200

=== debian/control ===
Source: eigen2
Section: libdevel
Priority: extra
Maintainer: Lassi Nieminen <lassi.ta.nieminen@nokia.com>
Build-Depends: debhelper (>= 5), cmake (>= 2.6.2), cdbs
Standards-Version: 3.8.0
Homepage: http://eigen.tuxfamily.org

Package: libeigen2-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lightweight C++ template library for linear algebra
 Eigen 2 is a lightweight C++ template library for vector and matrix math, 
 a.k.a. linear algebra.
 .
 Unlike most other linear algebra libraries, Eigen 2 focuses on the simple 
 mathematical needs of applications: games and other OpenGL apps, spreadsheets 
 and other office apps, etc. Eigen 2 is dedicated to providing optimal speed 
 with GCC.

=== debian/rules ===
#! /usr/bin/make -f

runUnitTest := no

DEB_CMAKE_EXTRA_FLAGS += -DEIGEN_BUILD_TESTS=ON -DEIGEN_TEST_NO_FORTRAN=ON -DEIGEN_TEST_NOQT=ON

include debian/cmake.mk
include /usr/share/cdbs/1/rules/debhelper.mk

binary-post-install/libeigen2-dev::
	echo -- Running tests. Even if one of them fails the build is not canceled.
	-cat /proc/meminfo
	-cat /proc/cpuinfo
	cd ${DEB_BUILDDIR}; ctest || true
